//
//  AddressVC.swift
//  OrderPicky
//
//  Created by ANGEL FS on 10/02/22.
//

import UIKit

class AddressVC: UIViewController {

    @IBOutlet weak var locationOne: UIView!
    @IBOutlet weak var dottedLine: UIView!
    @IBOutlet weak var locationTwo: UIView!
    @IBOutlet weak var detailAddView: UIView!
    @IBOutlet weak var addDetailView: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.viewLoadingProperties()
    }
    
    @IBAction func backBtnTapped(_ sender: Any) {
        self.navigationController?.popViewController(animated: true)
    }
    
    @IBAction func location2EditTapped(_ sender: Any) {
        let nextVC = self.storyboard?.instantiateViewController(withIdentifier: "carrierStatus")as! CarrierStatusVC
        self.navigationController?.pushViewController(nextVC, animated: true)
    }
    
    @IBAction func locationOneTapped(_ sender: Any) {
        let nextVC = self.storyboard?.instantiateViewController(withIdentifier: "yourItemList")as! YourItemListVC
        self.navigationController?.pushViewController(nextVC, animated: true)
    }
    
}

extension AddressVC
{
    func viewLoadingProperties()
    {
        self.locationOne.dropShadow()
        self.dottedLine.addDashedBorder(1, width: 1, color: UIColor.themeColor)
        self.locationTwo.dropShadow()
        self.detailAddView.layer.borderWidth = 2
        self.detailAddView.layer.borderColor = UIColor.black.cgColor
        self.addDetailView.dropShadow()
    }
}
